/* 0-00 Start Global and variables */
/* 0-01 variables */
a {
    text-decoration: none;
}
:root {
    /* colors */
    --accent-main: #7529fc;
    --accent-sec: #5139f7;
    --warn-dark: #ff7100;
    --warn-light: #ffb100;
    --prime-dark: #1862fd;
    --prime-light: #8fb7f8;
    --impo-dark: #ea001a;
    --impo-light: #fd1b50;
    --green-dark: #009A88;
    --green-light: #00B87F;
    --soft-black: #101828;
    --text-color: #6a7282;
    --text-ligh: #d1d5dc;
    --body-bg: #f8fafc;
    --body-dark: #e5e7eb;
    --body-ligh: #FAFBFC;
    /* transtation */
    --trans-normal: 0.3 all linear;
}

/* 0-02 custom helper */
.flex-center {
    display: flex;
    justify-content: center;
    align-items: center;
}

.flex-between {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.flex-start {
    display: flex;
    justify-content: start;
    align-items: center;
}

/* 0-03 custom utilites */
/* 0-031 custom utilites -- colors */
.text-accent {
    color: var(--accent-main);
}

.text-warn {
    color: var(--warn-dark);
}

.text-impo {
    color: var(--impo-dark);
}

.text-prime {
    color: var(--prime-dark);
}

.text-soft-black {
    color: var(--soft-black);
}

.text-lighted {
    color: var(--text-ligh);
}

/* 0-032 custom utilites -- bg-grads */

.line-linear {
    background-image: linear-gradient(
        90deg,
        var(--accent-main),
        var(--accent-sec)
    );
}

.line-linear-warn {
    background-image: linear-gradient(
        135deg,
        var(--warn-light),
        var(--warn-dark)
    );
}

.line-linear-prime {
    background-image: linear-gradient(
        135deg,
        var(--prime-light),
        var(--prime-dark)
    );
}

.line-linear-impo {
    background-image: linear-gradient(
        135deg,
        var(--impo-light),
        var(--impo-dark)
    );
}

.line-linear-green {
    background-image: linear-gradient(
        135deg,
        var(--green-light),
        var(--green-dark)
    );
}

/* 0-033 custom utilites -- for the love of god */

.rem-6-rec {
    width: 6rem;
    height: 6rem;
    aspect-ratio: 1/1;
}

.rem-5-rec {
    width: 5rem;
    height: 5rem;
    aspect-ratio: 1/1;
}

.rem-4-rec {
    width: 3.5rem;
    height: 3.5rem;
    aspect-ratio: 1/1;
}

.rem-3-rec {
    width: 3rem;
    height: 3rem;
    aspect-ratio: 1/1;
}

.rem-a3-rec {
    width: 2.75rem;
    height: 2.75rem;
    aspect-ratio: 1/1;
}
.rem-2-rec {
    width: 2.25rem;
    height: 2.25rem;
    aspect-ratio: 1/1;
}

.rem-a2-rec {
    width: 1.8rem;
    height: 1.8rem;
    aspect-ratio: 1/1;
}

.rem-1-rec {
    width: 1.3rem;
    height: 1.3rem;
    aspect-ratio: 1/1;
}

.w-3rem {
    width: 3rem;
}

.h-3rem {
    height: 3rem;
}

.click-able {
    cursor: pointer;
}

.small-text {
    font-size: 0.75rem;
}

.smaller-text {
    font-size: 0.6rem;
}

.w-fit {
    width: fit-content;
}

.bg-muted {
    background-color: var(--body-bg);
}

.bg-body-light {
    background-color: var(--body-ligh);
}

.bg-body-dark {
    background-color: var(--body-dark);
}

.hover-darken:hover {
    cursor: pointer;
    background-color: var(--body-dark);
}

.hover-warn:hover {
    cursor: pointer;
    color: var(--warn-dark);
}

.hover-accent:hover {
    cursor: pointer;
    color: var(--accent-main);
}

.hover-impo:hover {
    cursor: pointer;
    color: var(--impo-dark);
}

.hover-green-bg:hover {
    cursor: pointer;
    color: white;
    background-color: var(--green-dark);
}

.hover-impo-bg:hover {
    cursor: pointer;
    color: white;
    background-color: var(--impo-dark);
}

.bg-accent {
    background-color: var(--accent-main);
}
.bg-accent:hover {
    background-color: var(--accent-main);
}

.hover-shadow:hover {
    box-shadow: 0 0 6px var(--soft-black);
}

.handle-image-object {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 0-04 globals */
body {
    font-family: "Inter", sans-serif;
    color: var(--text-color);
    background-color: var(--body-bg);
}

/* End 0-00 globals and variables */

/* 0-50 Start Add form */

.add-form {
    position: fixed;
    inset: 0;
    z-index: 1050;
    backdrop-filter: blur(5px);
    background-color: rgba(0, 0, 0, 0.486);
}


.add-form .form-holder {
    width: 100%;
    max-width: 32rem;
    max-height: 36.5rem;
    background-color: white;
}

.add-form .form-holder::-webkit-scrollbar {
    display: none;
}

.add-form .form-holder .form-top {
    position: sticky;
    width: 100%;
    top: 0;
    left: 0;
    background-color: white;
}


.add-form .form-holder textarea {
    resize: none;
}

.add-form .form-holder textarea,
.add-form .form-holder input,
.add-form .form-holder select {
    background-color: var(--body-bg);
    color: var(--soft-black);
}

.add-form .form-holder textarea:focus,
.add-form .form-holder input:focus,
.add-form .form-holder select:focus {
    background-color: white;
}

/* make inputs live */
.add-form .name-is-wrong::after,
.add-form .phone-is-wrong::after,
.add-form .email-is-wrong::after {
    color: var(--impo-dark);
    display: block;
    font-size: .75rem;
    width: 100%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.add-form .name-is-wrong::after {
    content: 'Name should contain only letters and spaces (2-50 characters)';
}
.add-form .phone-is-wrong::after {
    content: 'Please enter a valid Egyptian phone number';
}
.add-form .email-is-wrong::after {
    content: 'Please enter a valid email address';
}

/* End 0-50 Add form */

/* 1-00 start navbar */

nav {
    background-color: #fffa;
    backdrop-filter: blur(5px);
}

nav .click-icon {
    color: #6a7282;
    cursor: pointer;
    transition: var(--trans-normal);
}

nav .click-icon:hover {
    color: #364153;
    background-color: #f3f4f6;
}

/* End 1-00 navbar */

/* 2-00 start main  */

main {
    padding-top: 7rem;
    padding-bottom: 2rem;
}

/* when a contact is marked as fav */
.col-sm-6:has(i.is-fav) .contact-image::before,
.col-sm-6:has(i.is-em) .contact-image::after {
    position: absolute;
    font-family: fontAwesome;
    right: 0;
    width: 1.45rem;
    height: 1.45rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid white;
    font-size: .4rem;
    border-radius: 50%;
    color: white;
}

.col-sm-6:has(i.is-fav) .contact-image::before {
        content: "\f005";
    top: 0;
    background-color: var(--warn-light);
    transform: translate(25%,-25%);
}

.col-sm-6:has(i.is-em) .contact-image::after {
    content: "\f21e";
    bottom: 0;
    background-color: var(--impo-light);
    transform: translate(25%,25%);
}


/* 2-024 fav dahs */
.display-dash .display-dash_head {
    background-color: #FFF8ED;
}

.display-dash_body {
    max-height: 20rem;
}

.display-dash_body::-webkit-scrollbar {
    display: none;
}